Subject: Re: [PATCH net-next v1] flow_dissector: Add support for HSR

From: Kurt Kanzenbach <[email-masked]>
Date: Thu, 03 Mar 2022 16:48:55 +0100

On Thu Mar 03 2022, Jakub Kicinski wrote:
> On Thu, 03 Mar 2022 09:08:35 +0100 Kurt Kanzenbach wrote:
>> It's this statement here:
>> 
>>  https://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git/tree/include/linux/skbuff.h#n2483
>> 
>> I tried to look up, why is this a BUG_ON() in Thomas' history tree
>> [1]. Couldn't find an explanation. It's been introduced by this commit:
>
> I meant fix the caller to discard a frame if it doesn't have enough
> data - call pskb_may_pull() first, then skb_pull().

I see. Yes, the caller (hsr_forward_skb) needs fixing too.

Thanks,
Kurt